Межсайтовый скриптинг в Sun Java System Portal Server

Дата публикации:
30.05.2009
Дата изменения:
30.05.2009
Всего просмотров:
2323
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Sun Java System Portal Server 6.x
Sun Java System Portal Server 7.x
Уязвимые версии: Sun Java System Portal Server версии 6.3.1, 7.1 и 7.2

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных на странице сообщения об ошибке. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.sun.com

Решение: Установите последнюю версию с сайта производителя.

SPARC Platform

  • Sun Java System Portal Server 6.3.1 (для Solaris 8, 9, и 10): установите исправление 118950-38
  • Sun Java System Portal Server 7.1 (для Solaris 9 и 10): установите исправление 124301-13
  • Sun Java System Portal Server 7.2 (для Solaris 9 и 10): установите исправление 138686-02
x86 Platform
  • Sun Java System Portal Server 6.3.1 (для Solaris 8, 9, и 10): установите исправление 118951-38
  • Sun Java System Portal Server 7.1 (для Solaris 9 и 10): установите исправление 124302-13
  • Sun Java System Portal Server 7.2 (для Solaris 9 и 10): установите исправление 138687-02
Linux
  • Sun Java System Portal Server 6.3.1: установите исправление 118952-38
  • Sun Java System Portal Server 7.1: установите исправление 124303-13
  • Sun Java System Portal Server 7.2: установите исправление 138688-02


Ссылки: A Cross-Site Scripting (XSS) Vulnerability in Sun Java System Portal Server's Error Page May Lead to Execution of Arbitrary Code
или введите имя

CAPTCHA